Subject: Re: Rebase dlls not from cygwin
From: Jason Tishler <[email-masked]>
To: Hermann Klocker <[email-masked]>
Cc: Cygwin <[email-masked]>
Date: Tue, 24 May 2005 07:47:13 -0400

Hermann,

On Mon, May 23, 2005 at 11:06:29PM +0200, Hermann Klocker wrote:
> Sorry if I email directly to you - I am new to cygwin. Please tell me
> if I should have posted this report to another location.

I would have preferred if you posted to the Cygwin mailing list instead
of sending private email.

> I think I have a problem similar to a posting I found regarding rebase
> failing with message "not rebaseable".
> 
> I try to run Dakota 3.3 (from
> http://endo.sandia.gov/DAKOTA/licensing/release/Dakota_3_3.cygwin.tar.gz) 
> 
> with cygwin 1.5.16. 
> 
> When trying to start Dakota I get the error message 
> 
> $ dakota
>    1723 [main] ? 5132 cygheap_fixup_in_child: Couldn't reserve 9891792 bytes
> of space for cygwin's heap (0x61810000 <0x15C0000>) in child, Win32 error
> 487 C:\cygwin\usr\local\bin\dakota.exe (5132): *** m.AllocationBase 0x0,
> m.BaseAddre ss 0x61810000, m.RegionSize 0x5B0000, m.State 0x10000
> 
> After all I have read about this message I thougt rebase should solve
> my problem, alas trying to rebase all dlls from Dakota (these are the
> only ones residing in /usr/local/bin) gave:
> 
> $ cat list1
> /usr/local/bin/mpich.dll
> /usr/local/bin/mpichd.dll
> /usr/local/bin/mpicherr.dll
> /usr/local/bin/PHXCppApi.dll
> 
> Hermann@dtkloh /usr/local/bin
> $ rebaseall  -T list1 -v > rb.out
> /usr/bin/tclpip84.dll: skipped because not rebaseable
> /usr/local/bin/mpich.dll: skipped because not rebaseable
> /usr/local/bin/mpichd.dll: skipped because not rebaseable
> /usr/local/bin/mpicherr.dll: skipped because not rebaseable
> /usr/local/bin/PHXCppApi.dll: skipped because not rebaseable
> 
> Do you have any hints regarding this problem?

At the moment no.  However, I was able to reproduce the above.  I will
enhance rebase to indicated why it thinks a DLL is not rebaseable when
the verbose option is specified.

Although this change may produce better diagnostics, it may not solve
your problem.  Note that some DLLs are just not rebaseable -- for
example, tclpip84.dll.

Jason

-- 
PGP/GPG Key: http://www.tishler.net/jason/pubkey.asc or key servers
Fingerprint: 7A73 1405 7F2B E669 C19D  8784 1AFD E4CC ECF4 8EF6

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/